Bug 114817 - New bitmap presets for Area Fill
Summary: New bitmap presets for Area Fill
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.1 rc
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Area-Fill-Tab-Bitmap
  Show dependency treegraph
 
Reported: 2018-01-03 08:08 UTC by andreas_k
Modified: 2018-10-23 10:52 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Area Fill Sidebar Dialog (39.18 KB, image/png)
2018-01-03 08:08 UTC, andreas_k
Details
MSO bitmap presets (219.51 KB, image/png)
2018-01-03 14:25 UTC, Yousuf Philips (jay) (retired)
Details
Area Bitmaps for LO (4.25 MB, application/vnd.oasis.opendocument.text)
2018-01-22 08:45 UTC, andreas_k
Details
source files (1.72 MB, application/x-zip-compressed)
2018-01-23 07:45 UTC, andreas_k
Details
Overvie Page with all bitmaps and the numbering (1.14 MB, image/jpeg)
2018-01-23 09:06 UTC, andreas_k
Details
preselection after vote (2.37 MB, image/png)
2018-02-08 00:04 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2018-01-03 08:08:13 UTC
Created attachment 138838 [details]
Area Fill Sidebar Dialog

I'd like to submit new defaults for the Area Fill Bitmap dialog.
Comment 1 andreas_k 2018-01-03 08:11:23 UTC
Template size for the pattern's are now 94x94px can I switch to 256x256px?

I would make some templates by myself (in svg) and add some CC0 templates from the internet where I add also an text file with the drawer.
Comment 2 Yousuf Philips (jay) (retired) 2018-01-03 14:24:16 UTC
(In reply to andreas_k from comment #1)
> Template size for the pattern's are now 94x94px can I switch to 256x256px?

Test if it makes a difference and if it doesnt, i dont see why not. I checked MSO and their bitmap presets are 128x128px.

> I would make some templates by myself (in svg) and add some CC0 templates
> from the internet where I add also an text file with the drawer.

It would be fine to create the bitmaps in svg, but they should be exported to jpgs for use in documents. LO does have additional bitmap presets in the Backgrounds folder of the gallery, which could be considered.

https://opengrok.libreoffice.org/xref/core/extras/source/gallery/www-back/
Comment 3 Yousuf Philips (jay) (retired) 2018-01-03 14:25:19 UTC
Created attachment 138854 [details]
MSO bitmap presets
Comment 4 andreas_k 2018-01-22 08:45:44 UTC
Created attachment 139252 [details]
Area Bitmaps for LO

All examples are seamless and in good quality (default is 512x512 px with 300 dpi.

licence is CC0 I have from each image the source and when I'll upload the images I'll add where the icons come from (openclipart, pixabay, publicdomainpictures, ...)

I know it's a bit to much so please give feedback which area fill patterns you like/dislike
Comment 5 Heiko Tietze 2018-01-22 10:07:47 UTC
(In reply to andreas_k from comment #4)
> Created attachment 139252 [details]
> Area Bitmaps for LO
> 
> All examples are seamless and in good quality (default is 512x512 px with
> 300 dpi.
> 
> licence is CC0 I have from each image the source and when I'll upload the
> images I'll add where the icons come from (openclipart, pixabay,
> publicdomainpictures, ...)
> 
> I know it's a bit to much so please give feedback which area fill patterns
> you like/dislike

Awesome bitmaps! We should talk about 
* size (5MB is quite much)
* selection (which to take into the gallery)
* clean-up the old backgrounds
* integrate into the gallery
Comment 6 andreas_k 2018-01-23 07:45:22 UTC
Created attachment 139287 [details]
source files

attached the source files I optimize them and we talk about 1,7 mb for 43 bitmaps. In master we have 20 bitmaps so we have to remove nearly 50%. suggestions are welcome.
Comment 7 andreas_k 2018-01-23 09:06:25 UTC
Created attachment 139289 [details]
Overvie Page with all bitmaps and the numbering
Comment 8 Yousuf Philips (jay) (retired) 2018-01-23 16:42:45 UTC
(In reply to Heiko Tietze from comment #5)
> * selection (which to take into the gallery)

all can go into the gallery if we agree, but only a subset of them would go into the bitmap preset list, like we currently do today

> * clean-up the old backgrounds

+1
Comment 9 Thomas Lendo 2018-01-23 19:05:36 UTC
(In reply to Yousuf Philips (jay) from comment #8)
> all can go into the gallery if we agree, but only a subset of them would go
> into the bitmap preset list, like we currently do today
I also would add all of the new bitmaps to the gallery, replacing the old ones.

I don't see how to choose 50 % for the area fill tab. Why not include all as they are already available in the gallery and installed with LO?
Comment 10 Cor Nouws 2018-01-24 15:50:44 UTC
(In reply to Thomas Lendo from comment #9)
> I also would add all of the new bitmaps to the gallery, replacing the old
> ones.
> 
> I don't see how to choose 50 % for the area fill tab. Why not include all as
> they are already available in the gallery and installed with LO?

I'm wondering too as to why only half of them should be used.
Comment 11 andreas_k 2018-02-08 00:04:40 UTC
Created attachment 139682 [details]
preselection after vote

result of the vote
https://docs.google.com/spreadsheets/d/1O0-09bhr0dHQ3VQTED2wFM9WBgEY5v-4VM7iMSS4BVY

thanks for voting. As you can see work together will help find the best designs. For me all bitmaps with >7 votes should go into core. 

I will check if all are work seamless and than maybe when there are to much from one content group are available some of them should go to the gallery and some to the drop down preselection.
Comment 12 Commit Notification 2018-02-18 13:39:43 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=61bfc53ee710f9c79ac597888a6ee9dfee165ea4

tdf#114817 new bitmap presets for Area Fill

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Heiko Tietze 2018-02-18 13:51:17 UTC
New gallery has been done, legacy images will be available as extension.
Comment 14 Heiko Tietze 2018-02-18 16:31:51 UTC
(In reply to Heiko Tietze from comment #13)
> New gallery has been done, legacy images will be available as extension.

Users who miss the legacy images can add it from https://extensions.libreoffice.org/extensions/legacy-gallery-backgrounds